# Uses of Interface
writer2latex.api.Converter

Packages that use Converter
Package
Description
org.openoffice.da.comp.w2lcommon.filter
writer2latex.api
writer2latex.base
writer2latex.bibtex
writer2latex.epub
writer2latex.latex
writer2latex.xhtml

## Uses of Converter in org.openoffice.da.comp.w2lcommon.filter

Methods in org.openoffice.da.comp.w2lcommon.filter with parameters of type Converter
Modifier and Type
Method
Description
`void`
FilterDataParser.`applyFilterData(Object data, Converter converter)`
Apply the given FilterData property to the given converter.
`void`
FilterDataParser.`applyFilterOptions(Object options, Converter converter)`
Apply the given FilterOptions property to the given converter.

## Uses of Converter in writer2latex.api

Methods in writer2latex.api that return Converter
Modifier and Type
Method
Description
`static Converter`
ConverterFactory.`createConverter(String sMIME)`
Create a `Converter` implementation which supports conversion into the specified MIME type.
Methods in writer2latex.api with parameters of type Converter
Modifier and Type
Method
Description
`void`
BatchConverter.`setConverter(Converter converter)`
Define a `Converter` implementation to use for conversion of the individual documents.

## Uses of Converter in writer2latex.base

Classes in writer2latex.base that implement Converter
Modifier and Type
Class
Description
`class`
`ConverterBase`
Abstract base implementation of `writer2latex.api.Converter`
Methods in writer2latex.base with parameters of type Converter
Modifier and Type
Method
Description
`void`
BatchConverterBase.`setConverter(Converter converter)`

## Uses of Converter in writer2latex.bibtex

Classes in writer2latex.bibtex that implement Converter
Modifier and Type
Class
Description
`final class`
`Converter`
This class exports bibliographic information from an OpenDocument text file to a BibTeX data file

## Uses of Converter in writer2latex.epub

Classes in writer2latex.epub that implement Converter
Modifier and Type
Class
Description
`final class`
`EPUB3Converter`
This class converts an OpenDocument file to an EPUB 3 document.
`final class`
`EPUBConverter`
This class converts an OpenDocument file to an EPUB document.

## Uses of Converter in writer2latex.latex

Classes in writer2latex.latex that implement Converter
Modifier and Type
Class
Description
`final class`
`ConverterPalette`
This class converts a Writer XML file to a LaTeX file

## Uses of Converter in writer2latex.xhtml

Classes in writer2latex.xhtml that implement Converter
Modifier and Type
Class
Description
`class`
`Converter`
This class converts an OpenDocument file to an XHTML(+MathML) or EPUB document.
`class`
`Html5Converter`
`class`
`Xhtml10Converter`
`class`
`Xhtml11Converter`
`class`
`XhtmlMathMLConverter`